﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            Session["GridData"] = GetDepartments();
            WebDataGrid1.DataSource = Session["GridData"];
            WebDataGrid1.DataBind();

            WebDataGrid1_DropDownProvider1.EditorControl.DataSource = GetDepartments();
            WebDataGrid1_DropDownProvider1.EditorControl.DataBind();
        }
        else
        {
            WebDataGrid1.DataSource = Session["GridData"];
        }
    }

    private DataTable GetDepartments()
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));

        for (int i = 0; i < 4; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i) });
        }

        dt.PrimaryKey = new DataColumn[] { dt.Columns["DepartmentID"] };

        return dt;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        for (int i = 0; i < WebDataGrid1.Rows.Count; i++)
        {
            TextBox1.Text += "Row " + i + " Dept. Name: " + WebDataGrid1.Rows[i].Items[1].Value + "\n";
        }
    }
}